import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';

import { PageDetailPage } from './page-detail.page';

const routes: Routes = [
  {
    path: '',
    component: PageDetailPage
  },
  {
    path: 'page-type',
    loadChildren: () => import('./page-type/page-type.module').then( m => m.PageTypePageModule)
  }

];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class PageDetailPageRoutingModule {}
